﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace OpenGL
{
    [StructLayout(LayoutKind.Sequential)]
    public struct PixelFormatDescriptor
    {
        public ushort
            nSize, nVersion;
        public uint
            dwFlags, dwLayerMask, dwVisibleMask, dwDamageMask;
        public byte
            iPixelType, cColorBits, cRedBits, cRedShift,
            cGreenBits, cGreenShift, cBlueBits, cBlueShift,
            cAlphaBits, cAlphaShift, cAccumBits, cAccumRedBits,
            cAccumGreenBits, cAccumBlueBits, cAccumAlphaBits,
            cDepthBits, cStencilBits, cAuxBuffers, bReserved;
        public sbyte
            iLayerType;
    }
}
